http://mediaconnect.{region}.amazonaws.com/v1/flows/{flowArn}/source/{sourceArn}Updates the source of a flow.
The flow that is associated with the source that you want to update.
The ARN of the source that you want to update.
The protocol that is used by the source.
The stream ID that you want to use for this transport. This parameter applies only to Zixi and SRT caller-based streams.
Information about the encryption of the flow.
The port that the flow will be listening on for incoming content.
The smoothing max bitrate (in bps) for RIST, RTP, and RTP-FEC streams.
The maximum latency in milliseconds. This parameter applies only to RIST-based, Zixi-based, and Fujitsu-based streams.
The minimum latency in milliseconds for SRT-based streams. In streams that use the SRT protocol, this value that you set on your MediaConnect source or output represents the minimal potential latency of that connection. The latency of the stream is set to the highest number between the sender’s minimum latency and the receiver’s minimum latency.
A description for the source. This value is not used or seen outside of the current AWS Elemental MediaConnect account.
The size of the buffer (in milliseconds) to use to sync incoming source data.
The range of IP addresses that should be allowed to contribute content to your source. These IP addresses should be in the form of a Classless Inter-Domain Routing (CIDR) block; for example, 10.0.0.0/16.
The ARN of the entitlement that allows you to subscribe to this flow. The entitlement is set by the flow originator, and the ARN is generated as part of the originator's flow.
The IP address that the flow communicates with to initiate connection with the sender.
The name of the VPC interface to use for this source.
The port that the flow uses to send outbound requests to initiate connection with the sender.
Source port for SRT-caller protocol.
The source configuration for cloud flows receiving a stream from a bridge.
Source IP or domain name for SRT-caller protocol.
The media streams that are associated with the source, and the parameters for those associations.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://mediaconnect.{region}.amazonaws.com/v1/flows/{flowArn}/source/{sourceArn}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://mediaconnect.{region}.amazonaws.com/v1/flows/{flowArn}/source/{sourceArn}Updates the source of a flow.
The flow that is associated with the source that you want to update.
The ARN of the source that you want to update.
The protocol that is used by the source.
The stream ID that you want to use for this transport. This parameter applies only to Zixi and SRT caller-based streams.
Information about the encryption of the flow.
The port that the flow will be listening on for incoming content.
The smoothing max bitrate (in bps) for RIST, RTP, and RTP-FEC streams.
The maximum latency in milliseconds. This parameter applies only to RIST-based, Zixi-based, and Fujitsu-based streams.
The minimum latency in milliseconds for SRT-based streams. In streams that use the SRT protocol, this value that you set on your MediaConnect source or output represents the minimal potential latency of that connection. The latency of the stream is set to the highest number between the sender’s minimum latency and the receiver’s minimum latency.
A description for the source. This value is not used or seen outside of the current AWS Elemental MediaConnect account.
The size of the buffer (in milliseconds) to use to sync incoming source data.
The range of IP addresses that should be allowed to contribute content to your source. These IP addresses should be in the form of a Classless Inter-Domain Routing (CIDR) block; for example, 10.0.0.0/16.
The ARN of the entitlement that allows you to subscribe to this flow. The entitlement is set by the flow originator, and the ARN is generated as part of the originator's flow.
The IP address that the flow communicates with to initiate connection with the sender.
The name of the VPC interface to use for this source.
The port that the flow uses to send outbound requests to initiate connection with the sender.
Source port for SRT-caller protocol.
The source configuration for cloud flows receiving a stream from a bridge.
Source IP or domain name for SRT-caller protocol.
The media streams that are associated with the source, and the parameters for those associations.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://mediaconnect.{region}.amazonaws.com/v1/flows/{flowArn}/source/{sourceArn}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}